ViewVC Help
View File | Revision Log | Show Annotations | Download File
/cvs/rxvt-unicode/configure
(Generate patch)

Comparing rxvt-unicode/configure (file contents):
Revision 1.110 by ayin, Thu Aug 2 00:29:23 2007 UTC vs.
Revision 1.111 by ayin, Sun Aug 26 19:38:30 2007 UTC

1323 --enable-combining enable composition of base and combining characters 1323 --enable-combining enable composition of base and combining characters
1324 --enable-xft enable xft support on systems that have it 1324 --enable-xft enable xft support on systems that have it
1325 --enable-font-styles enable bold and italic support 1325 --enable-font-styles enable bold and italic support
1326 --enable-afterimage enable integration with libAfterImage for background images 1326 --enable-afterimage enable integration with libAfterImage for background images
1327 --enable-transparency enable transparent backgrounds 1327 --enable-transparency enable transparent backgrounds
1328 --enable-tinting enable tinting of transparent bg
1329 --enable-fading enable colors fading when off focus 1328 --enable-fading enable colors fading when off focus
1330 --enable-rxvt-scroll enable rxvt style scrollbar 1329 --enable-rxvt-scroll enable rxvt style scrollbar
1331 --enable-next-scroll enable NeXT style scrollbar 1330 --enable-next-scroll enable NeXT style scrollbar
1332 --enable-xterm-scroll enable Xterm style scrollbar 1331 --enable-xterm-scroll enable Xterm style scrollbar
1333 --enable-perl enable embedded perl interpreter 1332 --enable-perl enable embedded perl interpreter
4393 4392
4394 4393
4395 4394
4396support_frills=yes 4395support_frills=yes
4397support_inheritpixmap=yes 4396support_inheritpixmap=yes
4398support_tinting=yes
4399support_fading=yes 4397support_fading=yes
4400support_keepscrolling=yes 4398support_keepscrolling=yes
4401support_selectionscrolling=yes 4399support_selectionscrolling=yes
4402support_mousewheel=yes 4400support_mousewheel=yes
4403support_mouseslipwheel=yes 4401support_mouseslipwheel=yes
4434if test "${enable_everything+set}" = set; then 4432if test "${enable_everything+set}" = set; then
4435 enableval=$enable_everything; 4433 enableval=$enable_everything;
4436 if test x$enableval = xno; then 4434 if test x$enableval = xno; then
4437 support_frills=no 4435 support_frills=no
4438 support_inheritpixmap=no 4436 support_inheritpixmap=no
4439 support_tinting=no
4440 support_fading=no 4437 support_fading=no
4441 support_keepscrolling=no 4438 support_keepscrolling=no
4442 support_selectionscrolling=no 4439 support_selectionscrolling=no
4443 support_lastlog=no 4440 support_lastlog=no
4444 support_mousewheel=no 4441 support_mousewheel=no
4464 codesets= 4461 codesets=
4465 fi 4462 fi
4466 if test x$enableval = xyes; then 4463 if test x$enableval = xyes; then
4467 support_frills=yes 4464 support_frills=yes
4468 support_inheritpixmap=yes 4465 support_inheritpixmap=yes
4469 support_tinting=yes
4470 support_fading=yes 4466 support_fading=yes
4471 support_keepscrolling=yes 4467 support_keepscrolling=yes
4472 support_selectionscrolling=yes 4468 support_selectionscrolling=yes
4473 support_lastlog=yes 4469 support_lastlog=yes
4474 support_mousewheel=yes 4470 support_mousewheel=yes
4549 4545
4550# Check whether --enable-transparency was given. 4546# Check whether --enable-transparency was given.
4551if test "${enable_transparency+set}" = set; then 4547if test "${enable_transparency+set}" = set; then
4552 enableval=$enable_transparency; if test x$enableval = xyes -o x$enableval = xno; then 4548 enableval=$enable_transparency; if test x$enableval = xyes -o x$enableval = xno; then
4553 support_inheritpixmap=$enableval 4549 support_inheritpixmap=$enableval
4554 fi
4555fi
4556
4557
4558# Check whether --enable-tinting was given.
4559if test "${enable_tinting+set}" = set; then
4560 enableval=$enable_tinting; if test x$enableval = xyes -o x$enableval = xno; then
4561 support_tinting=$enableval
4562 fi 4550 fi
4563fi 4551fi
4564 4552
4565 4553
4566# Check whether --enable-fading was given. 4554# Check whether --enable-fading was given.
11303 11291
11304ac_save_LIBS=$LIBS 11292ac_save_LIBS=$LIBS
11305ac_save_CFLAGS=$CFLAGS 11293ac_save_CFLAGS=$CFLAGS
11306CFLAGS="$CFLAGS $X_CFLAGS" 11294CFLAGS="$CFLAGS $X_CFLAGS"
11307LIBS="$LIBS $X_LIBS $X_EXTRA_LIBS -lX11" 11295LIBS="$LIBS $X_LIBS $X_EXTRA_LIBS -lX11"
11296if test x$support_xim = xyes; then
11308{ echo "$as_me:$LINENO: checking for working Xlocale" >&5 11297 { echo "$as_me:$LINENO: checking for working Xlocale" >&5
11309echo $ECHO_N "checking for working Xlocale... $ECHO_C" >&6; } 11298echo $ECHO_N "checking for working Xlocale... $ECHO_C" >&6; }
11310if test "${rxvt_cv_func_xlocale+set}" = set; then 11299if test "${rxvt_cv_func_xlocale+set}" = set; then
11311 echo $ECHO_N "(cached) $ECHO_C" >&6 11300 echo $ECHO_N "(cached) $ECHO_C" >&6
11312else 11301else
11313 if test "$cross_compiling" = yes; then 11302 if test "$cross_compiling" = yes; then
11314 : 11303 :
11315else 11304else
11316 cat >conftest.$ac_ext <<_ACEOF 11305 cat >conftest.$ac_ext <<_ACEOF
11317/* confdefs.h. */ 11306/* confdefs.h. */
11318_ACEOF 11307_ACEOF
11319cat confdefs.h >>conftest.$ac_ext 11308cat confdefs.h >>conftest.$ac_ext
11320cat >>conftest.$ac_ext <<_ACEOF 11309cat >>conftest.$ac_ext <<_ACEOF
11321/* end confdefs.h. */ 11310/* end confdefs.h. */
11322#include <X11/Xlib.h> 11311#include <X11/Xlib.h>
11323#include <stdlib.h> 11312 #include <stdlib.h>
11324main() { 11313 main() {
11325char *p; 11314 char *p;
11326if ((p = XSetLocaleModifiers("@im=none")) != NULL && *p) 11315 if ((p = XSetLocaleModifiers("@im=none")) != NULL && *p)
11327exit (XSupportsLocale() ? 0 : 1); 11316 exit (XSupportsLocale() ? 0 : 1);
11328else 11317 else
11329exit (1);} 11318 exit (1);}
11330_ACEOF 11319_ACEOF
11331rm -f conftest$ac_exeext 11320rm -f conftest$ac_exeext
11332if { (ac_try="$ac_link" 11321if { (ac_try="$ac_link"
11333case "(($ac_try" in 11322case "(($ac_try" in
11334 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;; 11323 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
11346eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5 11335eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
11347 (eval "$ac_try") 2>&5 11336 (eval "$ac_try") 2>&5
11348 ac_status=$? 11337 ac_status=$?
11349 echo "$as_me:$LINENO: \$? = $ac_status" >&5 11338 echo "$as_me:$LINENO: \$? = $ac_status" >&5
11350 (exit $ac_status); }; }; then 11339 (exit $ac_status); }; }; then
11351 rxvt_cv_func_xlocale=yes 11340 rxvt_cv_func_xlocale=yes
11352else 11341else
11353 echo "$as_me: program exited with status $ac_status" >&5 11342 echo "$as_me: program exited with status $ac_status" >&5
11354echo "$as_me: failed program was:" >&5 11343echo "$as_me: failed program was:" >&5
11355sed 's/^/| /' conftest.$ac_ext >&5 11344sed 's/^/| /' conftest.$ac_ext >&5
11356 11345
11362 11351
11363 11352
11364fi 11353fi
11365{ echo "$as_me:$LINENO: result: $rxvt_cv_func_xlocale" >&5 11354{ echo "$as_me:$LINENO: result: $rxvt_cv_func_xlocale" >&5
11366echo "${ECHO_T}$rxvt_cv_func_xlocale" >&6; } 11355echo "${ECHO_T}$rxvt_cv_func_xlocale" >&6; }
11367if test x$support_xim = xyes; then
11368 if test x$rxvt_cv_func_xlocale = xyes; then 11356 if test x$rxvt_cv_func_xlocale = xyes; then
11369 11357
11370cat >>confdefs.h <<\_ACEOF 11358cat >>confdefs.h <<\_ACEOF
11371#define USE_XIM 1 11359#define USE_XIM 1
11372_ACEOF 11360_ACEOF
11373 11361
11362 { echo "$as_me:$LINENO: checking for broken XIM callback" >&5
11363echo $ECHO_N "checking for broken XIM callback... $ECHO_C" >&6; }
11364if test "${rxvt_broken_ximcb+set}" = set; then
11365 echo $ECHO_N "(cached) $ECHO_C" >&6
11366else
11367 cat >conftest.$ac_ext <<_ACEOF
11368
11369 #include <X11/Xlib.h>
11370
11371 void im_destroy_cb (XIC unused1, XPointer client_data, XPointer unused3);
11372
11373 void f() {
11374 XIMCallback cb;
11375 cb.callback = im_destroy_cb;
11376 }
11377
11378_ACEOF
11379rm -f conftest.$ac_objext
11380if { (ac_try="$ac_compile"
11381case "(($ac_try" in
11382 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
11383 *) ac_try_echo=$ac_try;;
11384esac
11385eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
11386 (eval "$ac_compile") 2>conftest.er1
11387 ac_status=$?
11388 grep -v '^ *+' conftest.er1 >conftest.err
11389 rm -f conftest.er1
11390 cat conftest.err >&5
11391 echo "$as_me:$LINENO: \$? = $ac_status" >&5
11392 (exit $ac_status); } && {
11393 test -z "$ac_cxx_werror_flag" ||
11394 test ! -s conftest.err
11395 } && test -s conftest.$ac_objext; then
11396 rxvt_broken_ximcb=yes
11397else
11398 echo "$as_me: failed program was:" >&5
11399sed 's/^/| /' conftest.$ac_ext >&5
11400
11401 rxvt_broken_ximcb=no
11402fi
11403
11404rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
11405fi
11406{ echo "$as_me:$LINENO: result: $rxvt_broken_ximcb" >&5
11407echo "${ECHO_T}$rxvt_broken_ximcb" >&6; }
11408
11409 if test x$rxvt_broken_ximcb = xyes; then
11410
11411cat >>confdefs.h <<\_ACEOF
11412#define XIMCB_PROTO_BROKEN 1
11413_ACEOF
11414
11415 fi
11374 fi 11416 fi
11375fi 11417fi
11376 11418
11377{ echo "$as_me:$LINENO: checking for working X setlocale" >&5 11419{ echo "$as_me:$LINENO: checking for working X setlocale" >&5
11378echo $ECHO_N "checking for working X setlocale... $ECHO_C" >&6; } 11420echo $ECHO_N "checking for working X setlocale... $ECHO_C" >&6; }
11645 { { echo "$as_me:$LINENO: error: libptytty requires unix-compliant filehandle passing ability" >&5 11687 { { echo "$as_me:$LINENO: error: libptytty requires unix-compliant filehandle passing ability" >&5
11646echo "$as_me: error: libptytty requires unix-compliant filehandle passing ability" >&2;} 11688echo "$as_me: error: libptytty requires unix-compliant filehandle passing ability" >&2;}
11647 { (exit 1); exit 1; }; } 11689 { (exit 1); exit 1; }; }
11648fi 11690fi
11649 11691
11650
11651{ echo "$as_me:$LINENO: checking for broken XIM callback" >&5
11652echo $ECHO_N "checking for broken XIM callback... $ECHO_C" >&6; }
11653if test "${rxvt_broken_ximcb+set}" = set; then
11654 echo $ECHO_N "(cached) $ECHO_C" >&6
11655else
11656 cat >conftest.$ac_ext <<_ACEOF
11657
11658#include <X11/Xlib.h>
11659
11660void im_destroy_cb (XIC unused1, XPointer client_data, XPointer unused3);
11661
11662void f() {
11663 XIMCallback cb;
11664 cb.callback = im_destroy_cb;
11665}
11666
11667_ACEOF
11668rm -f conftest.$ac_objext
11669if { (ac_try="$ac_compile"
11670case "(($ac_try" in
11671 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
11672 *) ac_try_echo=$ac_try;;
11673esac
11674eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
11675 (eval "$ac_compile") 2>conftest.er1
11676 ac_status=$?
11677 grep -v '^ *+' conftest.er1 >conftest.err
11678 rm -f conftest.er1
11679 cat conftest.err >&5
11680 echo "$as_me:$LINENO: \$? = $ac_status" >&5
11681 (exit $ac_status); } && {
11682 test -z "$ac_cxx_werror_flag" ||
11683 test ! -s conftest.err
11684 } && test -s conftest.$ac_objext; then
11685 rxvt_broken_ximcb=yes
11686else
11687 echo "$as_me: failed program was:" >&5
11688sed 's/^/| /' conftest.$ac_ext >&5
11689
11690 rxvt_broken_ximcb=no
11691fi
11692
11693rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
11694fi
11695{ echo "$as_me:$LINENO: result: $rxvt_broken_ximcb" >&5
11696echo "${ECHO_T}$rxvt_broken_ximcb" >&6; }
11697
11698if test x$rxvt_broken_ximcb = xyes; then
11699
11700cat >>confdefs.h <<\_ACEOF
11701#define XIMCB_PROTO_BROKEN 1
11702_ACEOF
11703
11704fi
11705 11692
11706 11693
11707 11694
11708 11695
11709 11696
12692cat >>confdefs.h <<\_ACEOF 12679cat >>confdefs.h <<\_ACEOF
12693#define OFF_FOCUS_FADING 1 12680#define OFF_FOCUS_FADING 1
12694_ACEOF 12681_ACEOF
12695 12682
12696fi 12683fi
12697if test x$support_tinting = xyes; then
12698
12699cat >>confdefs.h <<\_ACEOF
12700#define TINTING 1
12701_ACEOF
12702
12703fi
12704if test x$support_inheritpixmap = xyes; then 12684if test x$support_inheritpixmap = xyes; then
12705 12685
12706cat >>confdefs.h <<\_ACEOF 12686cat >>confdefs.h <<\_ACEOF
12707#define ENABLE_TRANSPARENCY 1 12687#define ENABLE_TRANSPARENCY 1
12708_ACEOF 12688_ACEOF
12717fi 12697fi
12718if test x$support_selectionscrolling = xyes; then 12698if test x$support_selectionscrolling = xyes; then
12719 12699
12720cat >>confdefs.h <<\_ACEOF 12700cat >>confdefs.h <<\_ACEOF
12721#define SELECTION_SCROLLING 1 12701#define SELECTION_SCROLLING 1
12702_ACEOF
12703
12704fi
12705if test x$support_frills = xyes; then
12706
12707cat >>confdefs.h <<\_ACEOF
12708#define ENABLE_FRILLS 1
12722_ACEOF 12709_ACEOF
12723 12710
12724fi 12711fi
12725if test x$support_mousewheel = xyes; then 12712if test x$support_mousewheel = xyes; then
12726 12713
13024 13011
13025 13012
13026 13013
13027 13014
13028 13015
13029
13030if test x$support_perl = xyes; then
13031 support_frills=yes
13032fi
13033
13034if test x$support_frills = xyes; then
13035
13036cat >>confdefs.h <<\_ACEOF
13037#define ENABLE_FRILLS 1
13038_ACEOF
13039
13040fi
13041 13016
13042 13017
13043 13018
13044 13019
13045 13020

Diff Legend

Removed lines
+ Added lines
< Changed lines
> Changed lines